import { AxiosRequestConfig } from 'axios';
/**
 * Helper function to create an Axios-compatible request object
 *
 * @param config  An object conforming to the AxiosRequestConfig interface
 */
export declare function makeRequest(config: AxiosRequestConfig): AxiosRequestConfig;
/**
 * Helper function to create an Axios-compatible request object
 *
 * @param url     A string url or object config object
 * @param method  An optional HTTP method if a string url is passed
 * @param data    An optional data object if a string url is passed
 */
export declare function makeRequest(url: string, method?: string, data?: any): AxiosRequestConfig;
